List webhooks
curl --request GET \
--url https://api.attio.com/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"target_url": "https://example.com/webhook",
"subscriptions": [
{
"event_type": "note.created",
"filter": {
"$or": [
{
"field": "<string>",
"operator": "equals",
"value": "<string>"
}
]
}
}
],
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"webhook_id": "23e42eaf-323a-41da-b5bb-fd67eebda553"
},
"status": "active",
"created_at": "2023-04-27T13:22:49.061281000Z"
}
]
}Webhooks
List webhooks
Get all of the webhooks in your workspace.
Required scopes: webhook:read.
GET
/
v2
/
webhooks
List webhooks
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Query Parameters
The maximum number of results to return, between 10 and 100, defaults to 10. See the full guide to pagination here.
Example:
10
The number of results to skip over before returning, defaults to 0. See the full guide to pagination here.
Example:
5
Response
200 - application/json
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I